summaryrefslogtreecommitdiffstats
path: root/games/brutalchess
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-05-13 00:26:02 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:26:02 +0200
commit19d2918f62e7d89fb3f363072b94753ad9b32f03 (patch)
treed9514771bd0f0fcf319be8a2632f3ab31534e12d /games/brutalchess
parent997c3acf72361bbbb6758d39dd1a759a661c670c (diff)
downloadslackbuilds-19d2918f62e7d89fb3f363072b94753ad9b32f03.tar.gz
slackbuilds-19d2918f62e7d89fb3f363072b94753ad9b32f03.tar.xz
games/brutalchess: Updated for version 0.5.2
Diffstat (limited to 'games/brutalchess')
-rw-r--r--games/brutalchess/brutalchess-0.5.2-fix-FTBFS.patch (renamed from games/brutalchess/bc_gcc4.2.diff)8
-rw-r--r--games/brutalchess/brutalchess-0.5.2-gcc4.3.patch10
-rw-r--r--games/brutalchess/brutalchess.SlackBuild39
-rw-r--r--games/brutalchess/brutalchess.info4
4 files changed, 51 insertions, 10 deletions
diff --git a/games/brutalchess/bc_gcc4.2.diff b/games/brutalchess/brutalchess-0.5.2-fix-FTBFS.patch
index 79a725881c..1e9ac4e0b3 100644
--- a/games/brutalchess/bc_gcc4.2.diff
+++ b/games/brutalchess/brutalchess-0.5.2-fix-FTBFS.patch
@@ -1,5 +1,5 @@
---- a/src/md3view.cpp
-+++ b/src/md3view.cpp
+--- src/md3view.cpp.orig 2008-07-19 09:00:23.000000000 +0200
++++ src/md3view.cpp 2008-07-19 09:00:39.000000000 +0200
@@ -72,7 +72,7 @@
exit( returnCode );
}
@@ -18,8 +18,8 @@
{
cout << "Initializing OpenGL" << endl;
// Enable smooth shading
---- a/src/objview.cpp
-+++ b/src/objview.cpp
+--- src/objview.cpp.orig 2008-07-19 09:00:55.000000000 +0200
++++ src/objview.cpp 2008-07-19 09:01:04.000000000 +0200
@@ -73,7 +73,7 @@
exit( returnCode );
}
diff --git a/games/brutalchess/brutalchess-0.5.2-gcc4.3.patch b/games/brutalchess/brutalchess-0.5.2-gcc4.3.patch
new file mode 100644
index 0000000000..6c0962c9ee
--- /dev/null
+++ b/games/brutalchess/brutalchess-0.5.2-gcc4.3.patch
@@ -0,0 +1,10 @@
+--- src/brutalplayer.cpp.orig 2008-07-19 09:05:57.000000000 +0200
++++ src/brutalplayer.cpp 2008-07-19 09:06:08.000000000 +0200
+@@ -12,6 +12,7 @@
+
+ #include <vector>
+ #include <time.h>
++#include <climits>
+
+ using namespace std;
+
diff --git a/games/brutalchess/brutalchess.SlackBuild b/games/brutalchess/brutalchess.SlackBuild
index f464a76c29..bafededac2 100644
--- a/games/brutalchess/brutalchess.SlackBuild
+++ b/games/brutalchess/brutalchess.SlackBuild
@@ -1,13 +1,33 @@
#!/bin/sh
-
+#
# Slackware build script for Brutal Chess
-# Written by Erik Hanson erik@slackbuilds.org
+#
+# Copyright 2009 Erik W. Hanson, Minneapolis, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=brutalchess
VERSION=0.5.2
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -15,29 +35,38 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
rm -rf $PKG
mkdir -p $TMP $PKG
-cd $TMP
+cd $TMP
rm -rf $PRGNAM-$VERSION
# Currently the filename is .tar.gz but it is really only a .tar
# but tar does not mind so do not change this.
tar xvf $CWD/$PRGNAM-alpha-$VERSION-src.tar.gz || exit 1
cd $PRGNAM-$VERSION
-patch -p1 < $CWD/bc_gcc4.2.diff || exit 1
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
+patch -p0 -i $CWD/brutalchess-0.5.2-fix-FTBFS.patch || exit 1
+patch -p0 -i $CWD/brutalchess-0.5.2-gcc4.3.patch || exit 1
+
CXXFLAGS="$SLKCFLAGS" \
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--bindir=/usr/games \
+ --libdir=/usr/lib$LIBDIRSUFFIX \
--sysconfdir=/etc \
--localstatedir=/var \
+ --build=$ARCH-slackware-linux \
|| exit 1
make || exit 1
@@ -62,4 +91,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/brutalchess/brutalchess.info b/games/brutalchess/brutalchess.info
index dfedcefdec..3582f87a73 100644
--- a/games/brutalchess/brutalchess.info
+++ b/games/brutalchess/brutalchess.info
@@ -2,7 +2,9 @@ PRGNAM="brutalchess"
VERSION="0.5.2"
HOMEPAGE="http://brutalchess.sourceforge.net/"
DOWNLOAD="http://downloads.sourceforge.net/brutalchess/brutalchess-alpha-0.5.2-src.tar.gz"
+DOWNLOAD_x86_64=""
MD5SUM="370476b63091b8d82a9ea57c604dcbab"
+MD5SUM_x86_64=""
MAINTAINER="Erik Hanson"
EMAIL="erik@slackbuilds.org"
-APPROVED="rworkman"
+APPROVED="rworkman,pprkut"